Skip to main content

Get a property by ID

GEThttps://api.propexo.com/v1/properties/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the property

    Example: clwktsp9v000008l31iv218hn
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_created_atnullrequired

    The date the record first entered the integration vendor

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    GetSubscriptionsAppPartner
    GetSiteListAppPartner
    Example: 1236712
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    GetSubscriptionsAppPartner
    GetSiteListAppPartner
    Example: 1236712
    x_building_idnullrequired

    The external ID of the building (not necessarily the property) from the integration vendor

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    building_numbernullrequired

    The building number associated with the property

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    citystring | nullnullablerequired

    The city associated with the property

    MethodInterface
    GetSubscriptionsAppPartner
    GetSiteListAppPartner
    Example: Seattle
    codenullrequired

    The code associated with the property

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    countrystring | nullnullablerequired

    The country associated with the property

    MethodInterface
    GetSiteListAppPartner
    Example: US
    countystring | nullnullablerequired

    The county associated with the property

    MethodInterface
    GetSiteListAppPartner
    Example: Travis
    custom_dataobject | nullnullablerequired
    is_activeboolean | nullnullablerequired

    Whether the property is active. This reflects whether the property is active in the PMS. To see if a property is enabled in Propexo, please use the 'Get all my property configurations' endpoint.

    MethodInterface
    GetSubscriptionsAppPartner
    GetSiteListAppPartner
    Example: true
    manager_emailstring | nullnullablerequired

    The email address of the property manager

    MethodInterface
    GetSiteListAppPartner
    manager_namestring | nullnullablerequired

    The name of the property manager

    MethodInterface
    GetSiteListAppPartner
    Example: Acme Property Management
    manager_phone_1string | nullnullablerequired

    The first phone number of the property manager

    MethodInterface
    GetSiteListAppPartner
    Example: 5550142190
    manager_phone_1_typestring | nullnullablerequired

    The type of the first phone number of the property manager

    MethodInterface
    GetSiteListAppPartner
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: OTHER
    manager_phone_2string | nullnullablerequired

    The second phone number of the property manager

    MethodInterface
    GetSiteListAppPartner
    Example: 5550142191
    manager_phone_2_typestring | nullnullablerequired

    The type of the second phone number of the property manager

    MethodInterface
    GetSiteListAppPartner
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: OTHER
    namestring | nullnullablerequired

    The name of the property

    MethodInterface
    GetSubscriptionsAppPartner
    GetSiteListAppPartner
    Example: Western Frontier
    notesnullrequired

    Notes associated with the property

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    number_of_unitsnullrequired

    The number of units in the property

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    square_footagenullrequireddeprecated

    Deprecated: Use square_feet

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    square_feetinteger | nullnullablerequired

    The square footage of the property

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    statestring | nullnullablerequired

    The state associated with the property

    MethodInterface
    GetSubscriptionsAppPartner
    GetSiteListAppPartner
    Example: WA
    street_address_1string | nullnullablerequireddeprecated

    Deprecated: Use address_1

    MethodInterface
    GetSiteListAppPartner
    street_address_2string | nullnullablerequireddeprecated

    Deprecated: Use address_2

    MethodInterface
    GetSiteListAppPartner
    address_1string | nullnullablerequired

    The first address line associated with the property

    MethodInterface
    GetSiteListAppPartner
    Example: 1842 Maple Ridge Drive
    address_2string | nullnullablerequired

    The second address line associated with the property

    MethodInterface
    GetSiteListAppPartner
    Example: Building 2
    typenullrequireddeprecated

    Deprecated: Use type_raw.

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    type_rawnullrequired

    The raw PMS type of the property

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    type_normalizednullrequired

    The Propexo normalized property type

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    websitestring | nullnullablerequired

    The website URL associated with the property

    MethodInterface
    GetSubscriptionsAppPartner
    Example: https://cedargrove.example.com
    year_builtnullrequired

    The year the property was built

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    zipstring | nullnullablerequired

    The zip code associated with the property

    MethodInterface
    GetSiteListAppPartner
    Example: 78704
    long_descriptionnullrequired

    A long description of the property

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    short_descriptionnullrequired

    A short description of the property

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    office_hours object[]required

    The office hours of the property

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    day_of_weekstringrequired

    The day of the week associated with the office hours

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    Show 7 enum values
    SUNDAYMONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAY
    open_timestringrequired

    The opening time for the office

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    close_timestringrequired

    The closing time for the office

    Notice

    This field is not currently hydrated for REALPAGE_RPX

  • Array [
  • day_of_weekstringrequired

    The day of the week associated with the office hours

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    Show 7 enum values
    FRIDAYMONDAYSATURDAYSUNDAYTHURSDAYTUESDAYWEDNESDAY
    open_timestringrequired

    The opening time for the office

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    close_timestringrequired

    The closing time for the office

    Notice

    This field is not currently hydrated for REALPAGE_RPX

  • ]
  • pet_types object[]required

    The pet policies for the property

  • Array [
  • namestringrequired

    The name associated with the pet type

    MethodInterface
    GetPetPolicyProspect Management
    Example: Pets
    is_allowedboolean | nullnullablerequired

    Whether the pet type is allowed or not

    MethodInterface
    GetPetPolicyProspect Management
    Example: true
    descriptionstring | nullnullablerequired

    Description of the pet type

    MethodInterface
    GetPetPolicyProspect Management
    Example: We accepts up to two (2) pets per apartment. No weight limit, but there are breed restrictions. Breed Restrictions: Bull Terriers (Pit, Staffordshire, etc), Rottweilers, Chows, Doberman Pinchers, Wolf Hybrids, Shar Peis, or mixed breeds with these bloodlines will not be allowed. A Veterinarian certification must be received prior to move in. Cats must be spayed/neutered. Exotic pets and farm animals are not permitted; these include but are not limited to snakes, gerbils, rabbits, ferrets, reptiles, etc.
    notesnullrequired

    Notes associated with the pet type

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    deposit_rawnullrequired

    The deposit amount associated with the pet type

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    deposit_in_centsnullrequired

    The deposit amount in cents associated with the pet type

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    fee_rawnullrequired

    The raw fee amount for the pet type

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    fee_in_centsnullrequired

    The fee amount in cents for the pet type

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    fee_min_rawnullrequired

    The minimum raw fee amount for the pet type

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    fee_min_in_centsnullrequired

    The minimum fee amount in cents for the pet type

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    fee_max_rawnullrequired

    The maxmimum raw fee amount for the pet type

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    fee_max_in_centsnullrequired

    The maxmimum raw fee amount in cents for the pet type

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    rent_amount_rawnullrequired

    The raw rent amount for the pet type

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    rent_amount_in_centsnullrequired

    The rent amount in cents for the pet type

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
  • ]
  • associated_owner_idsstring[]required

    The property IDs associated with the owner

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum20required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: REALPAGE_RPX

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/properties/:id
curl https://api.propexo.com/v1/properties/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"property_id": "clwi5xiix000008l6ctdgafyh",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_created_at": null,
"x_id": "1236712",
"x_property_id": "1236712",
"x_building_id": null,
"building_number": null,
"city": "Seattle",
"code": null,
"country": "US",
"county": "Travis",
"custom_data": "Unknown Type: object,null",
"is_active": true,
"manager_email": "[email protected]",
"manager_name": "Acme Property Management",
"manager_phone_1": "5550142190",
"manager_phone_1_type": "OTHER",
"manager_phone_2": "5550142191",
"manager_phone_2_type": "OTHER",
"name": "Western Frontier",
"notes": null,
"number_of_units": null,
"square_feet": 0,
"state": "WA",
"address_1": "1842 Maple Ridge Drive",
"address_2": "Building 2",
"type_raw": null,
"type_normalized": null,
"website": "https://cedargrove.example.com",
"year_built": null,
"zip": "78704",
"long_description": null,
"short_description": null,
"office_hours": {
"day_of_week": "SUNDAY",
"open_time": "string",
"close_time": "string"
},
"pet_types": [
{
"name": "Pets",
"is_allowed": true,
"description": "We accepts up to two (2) pets per apartment. No weight limit, but there are breed restrictions. Breed Restrictions: Bull Terriers (Pit, Staffordshire, etc), Rottweilers, Chows, Doberman Pinchers, Wolf Hybrids, Shar Peis, or mixed breeds with these bloodlines will not be allowed. A Veterinarian certification must be received prior to move in. Cats must be spayed/neutered. Exotic pets and farm animals are not permitted; these include but are not limited to snakes, gerbils, rabbits, ferrets, reptiles, etc.",
"notes": null,
"deposit_raw": null,
"deposit_in_cents": null,
"fee_raw": null,
"fee_in_cents": null,
"fee_min_raw": null,
"fee_min_in_cents": null,
"fee_max_raw": null,
"fee_max_in_cents": null,
"rent_amount_raw": null,
"rent_amount_in_cents": null
}
],
"associated_owner_ids": [
"string"
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE_RPX"
}
}